<div class="container">
  <h2>Login</h2>
<form [formGroup]="loginForm">
    <div class="form-group">

      <label >User Name</label>
      <input formControlName="email" class="form-control " placeholder="User Name"  >
      <label class="text-danger" *ngIf="loginForm.get('email')!.errors?.required && loginForm.get('email')!.touched">UserName Required</label> 
      <label class="text-danger" *ngIf="loginForm.get('email')!.errors?.pattern && loginForm.get('email')!.touched">Valid UserName Required</label> 
      <br>
      <label >Password</label>
      <input formControlName="password" class="form-control" type="email" placeholder="Password"  >
      <label class="text-danger" *ngIf="loginForm.get('password')!.errors?.required && loginForm.get('password')!.touched" >password Required</label>
      <br> 
      <button type="button" class="btn btn-outline-dark"  [disabled]="loginForm.invalid" (click)="login()" >Login</button>
      <a routerLink="register" >   Dont have an account Register Now</a>
    </div>
   
  </form>
  </div>